Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class TotalTransactions4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.TotalTransactions4

    public class TotalTransactions4
    extends java.lang.Object

Java class for TotalTransactions4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TotalTransactions4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TtlNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}NumberAndSumOfTransactions4" minOccurs="0"/>
             <element name="TtlCdtNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}NumberAndSumOfTransactions1" minOccurs="0"/>
             <element name="TtlDbtNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}NumberAndSumOfTransactions1" minOccurs="0"/>
             <element name="TtlNtriesPerBkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}TotalsPerBankTransactionCode3" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected NumberAndSumOfTransactions1` `ttlCdtNtries`
`protected NumberAndSumOfTransactions1` `ttlDbtNtries`
`protected NumberAndSumOfTransactions4` `ttlNtries`
`protected java.util.List<TotalsPerBankTransactionCode3>` `ttlNtriesPerBkTxCd`

### Constructor Summary

Constructors
`TotalTransactions4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NumberAndSumOfTransactions1` `getTtlCdtNtries()` Gets the value of the ttlCdtNtries property.
`NumberAndSumOfTransactions1` `getTtlDbtNtries()` Gets the value of the ttlDbtNtries property.
`NumberAndSumOfTransactions4` `getTtlNtries()` Gets the value of the ttlNtries property.
`java.util.List<TotalsPerBankTransactionCode3>` `getTtlNtriesPerBkTxCd()` Gets the value of the ttlNtriesPerBkTxCd property.
`void` `setTtlCdtNtries​(NumberAndSumOfTransactions1 value)` Sets the value of the ttlCdtNtries property.
`void` `setTtlDbtNtries​(NumberAndSumOfTransactions1 value)` Sets the value of the ttlDbtNtries property.
`void` `setTtlNtries​(NumberAndSumOfTransactions4 value)` Sets the value of the ttlNtries property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ttlNtries

    protected NumberAndSumOfTransactions4 ttlNtries

#### ttlCdtNtries

    protected NumberAndSumOfTransactions1 ttlCdtNtries

#### ttlDbtNtries

    protected NumberAndSumOfTransactions1 ttlDbtNtries

#### ttlNtriesPerBkTxCd

    protected java.util.List<TotalsPerBankTransactionCode3> ttlNtriesPerBkTxCd

### Constructor Detail

#### TotalTransactions4

    public TotalTransactions4()

### Method Detail

#### getTtlNtries

    public NumberAndSumOfTransactions4 getTtlNtries()

Gets the value of the ttlNtries property.

Returns:
  possible object is `NumberAndSumOfTransactions4`

#### setTtlNtries

    public void setTtlNtries​(NumberAndSumOfTransactions4 value)

Sets the value of the ttlNtries property.

Parameters:
  `value` - allowed object is `NumberAndSumOfTransactions4`

#### getTtlCdtNtries

    public NumberAndSumOfTransactions1 getTtlCdtNtries()

Gets the value of the ttlCdtNtries property.

Returns:
  possible object is `NumberAndSumOfTransactions1`

#### setTtlCdtNtries

    public void setTtlCdtNtries​(NumberAndSumOfTransactions1 value)

Sets the value of the ttlCdtNtries property.

Parameters:
  `value` - allowed object is `NumberAndSumOfTransactions1`

#### getTtlDbtNtries

    public NumberAndSumOfTransactions1 getTtlDbtNtries()

Gets the value of the ttlDbtNtries property.

Returns:
  possible object is `NumberAndSumOfTransactions1`

#### setTtlDbtNtries

    public void setTtlDbtNtries​(NumberAndSumOfTransactions1 value)

Sets the value of the ttlDbtNtries property.

Parameters:
  `value` - allowed object is `NumberAndSumOfTransactions1`

#### getTtlNtriesPerBkTxCd

    public java.util.List<TotalsPerBankTransactionCode3> getTtlNtriesPerBkTxCd()

Gets the value of the ttlNtriesPerBkTxCd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ttlNtriesPerBkTxCd property.

For example, to add a new item, do as follows:

        getTtlNtriesPerBkTxCd().add(newItem);

Objects of the following type(s) are allowed in the list `TotalsPerBankTransactionCode3`